# ruby_emoji

A gem to convert the ":"-notation into an emoji.

This gem is not optimised for the web (html). If you want to use something like
this but for the web please use [rails_emoji](https://github.com/jsw0528/rails_emoji)

### Build status

[![Build Status](https://travis-ci.org/Elektron1c97/ruby_emoji.svg?branch=master)](https://travis-ci.org/Elektron1c97/ruby_emoji)


### Installation

Install the latest stable release:

```
$ gem install ruby_emoji
```

Or with [Bundler](http://bundler.io/), add it to your Gemfile:

```ruby
gem 'ruby_emoji'
```

### Usage

Use the parse function:

```ruby
RubyEmoji.parse("Awesome emoji :grin: :blush:") # => "Awesome emoji 😁 😊"
```

Or use the String#emoji method:

```ruby
"Yay, I love emojies! :green_heart:".emoji # => "Yay, I love emojies! 💚"
```

### Testing

```bash
$ bundle exec rake test
```


### Contributing

If there is any thing you'd like to contribute or fix, please:

- Fork the repo
- Add tests for any new functionality
- Make your changes
- Verify all new & existing tests pass
- Make a pull request


### License

The ruby_emoji gem is distributed under the MIT License.
